<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_8c575917cbaedf1e7efae84939402bf" . "f" => base64_decode("U3ViamVjdA" . "=="), "_618a4aeb9fecc4592a4521f34876fa" . "29" => base64_decode("ZnJvbQ=" . "="), "_6e1c717cf3cbf1af982ed74d4" . "336b7f1" => base64_decode("Ym9ke" . "S1odG" . "1s"), "_1d6c68a0262e8fa0be" . "d1215b7224a98e" => base64_decode("cmVj" . "aXBp" . "ZW50"), "_97ea09a7faf27c52c6" . "eff69773df1d8a" => base64_decode("dGltZXN0YW" . "1w"), "_956cd322" . "98a229f97" . "68f1096f0" . "77ace3" => base64_decode("Ym9keS1wb" . "GFpbg=="), "_9c050c786fc8717" . "0cbb84fc6a8b13cb" . "6" => base64_decode("YXR0" . "YWNo" . "bWVu" . "dC0="), "_f39f5346e313e4dd1ac3a7b" . "d8032beda" => base64_decode("c3Vic3RyX2NvbXBhcm" . "U="), "_d706c160e4" . "5bf7434fff8" . "2a5976f0e19" => base64_decode("YXJyYXlfa2V5" . "cw=="), "_a1e707d02a" . "236dadebd15" . "a45e65ebdb6" => base64_decode("YXR0YWNobWVud" . "C1jb3VudA=="), "_44e986c04f41a08b56a383c7b3a8" . "8ee2" => base64_decode("c2VuZGV" . "y"), "_f589476007fa133f457c3ef29" . "ddfa566" => base64_decode("VG" . "8="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d706c160e45bf7434fff82a5976" . "f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a1e707d02a23" . "6dadebd15a45e" . "65ebdb6"] && $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_f39f5346e313e4dd1ac3a7bd803" . "2beda"]($key, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_9c050c786fc87170" . "cbb84fc6a8b13cb6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_1d6c68a0262e8fa0bed1215b7224" . "a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_618a4aeb9fecc4592a4521f3" . "4876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_f589476007fa133f457c3ef29d" . "dfa566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8c575917cbaedf1e7efa" . "e84939402bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6e1c717cf3cbf1af982ed74d4336b" . "7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_956cd32" . "298a229f" . "9768f109" . "6f077ace" . "3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_97ea09a7faf27c52c6eff69773df" . "1d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_44e986c04f41a08b56a383c" . "7b3a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}